%global pkgname django-authority
%global obs_ver 0.3-6

Name:           python-django-authority
Version:        0.4
Release:        4%{?dist}
Summary:        A Django app for generic per-object permissions and custom permission checks

Group:          Development/Languages
License:        BSD
URL:            http://bitbucket.org/jezdez/django-authority/
Source:         http://bitbucket.org/jezdez/django-authority/downloads/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       Django

Provides:       %{pkgname} = %{version}-%{release}
Obsoletes:      %{pkgname} < %{obs_ver}


%description
This is a Django app for generic per-object permissions, custom permission
checks and permission requests. It also includes view decorators and template 
tags for ease of use.

%prep
%setup -q -n %{pkgname}-%{version}

# remove bundled egg-info
rm -rf django_authority.egg-info

# remove executable-flag from manage.py in example 
chmod ugo-x example/manage.py

# remove hidden files in example
find example -name '._*.py' -exec rm '{}' \;


%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# example gets accidently installed to python_sitelib, too
rm -rf %{buildroot}/%{python_sitelib}/example


%files
%doc AUTHORS LICENSE README docs/build/html/ example
%{python_sitelib}/authority
%{python_sitelib}/django_authority-%{version}-py?.?.egg-info

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 04 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.4-2
- really obsolete version 0.3-5

* Fri Jun 01 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.4-1
- renamed to python-django-authority
- spec cleanup
- update to version 0.4

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Aug 14 2009 Diego Búrigo Zacarão <diegobz@gmail.com> 0.3-2
- Clean up MAC OS hidden files
- Added only HTML built doc files from docs dir
- Added some missed doc files like AUTHORS
- Clean up .builinfo files

* Thu Aug 13 2009 Diego Búrigo Zacarão <diegobz@gmail.com> 0.3-1
- Initial RPM
